New Search

Excel Improper Record Parsing Vulnerability

oval:org.mitre.oval:def:12354

Microsoft Excel 2002 SP3 2003 SP3 2007 SP2 and 2010; Office 2004 2008 and 2011 for Mac; Open XML File Format Converter for Mac; Excel Viewer SP2; and Office Compatibility Pack for Word Excel and PowerPoint 2007 File Formats SP2 do not properly validate record information during parsing of Excel spreadsheets which allows remote attackers to execute arbitrary code or cause a denial of service (memory corruption) via a crafted spreadsheet aka "Excel Improper Record Parsing Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
  • Microsoft Windows 7
  • Microsoft Windows Server 2008
  • Microsoft Windows 2000
Class:
vulnerability
Reference(s):
  • CVE-2011-1273
Product(s):
  • Microsoft Office Compatibility Pack
  • Microsoft Excel 2003
  • Microsoft Excel 2002
  • Microsoft Excel 2010
  • Microsoft Office Excel Viewer